<?php
require_once('os.php');
// نمایش تمام خطاها و هشدارها
error_reporting(E_ALL);
ini_set('display_errors', 1);

$update = json_decode(file_get_contents('php://input'), true);

function createNeonTextImage($text,$fontchoice= 'danstevis',$shadowColors, $outputPath, $shape , $singleline=false, $backgroundcolor='black' ) {
    
    try {
        
        if($backgroundcolor=='black'){
        // بارگذاری تصویر پس‌زمینه
        $background = new Imagick('background.jpg');
        
}else{
    
    
    $background = new Imagick('backgound-black.jpg');
        
    
    
}
 switch ($fontchoice) {
            case 'danstevis':
                
                $fontPath="danstevis.otf";
            break;
            case 'btitr':
                
                 $fontPath="Btitr.ttf";
            break;
            case 'lalezar':
                
                 $fontPath="Lalezar.ttf";
            break;
            
            case 'Roughly':
                
                 $fontPath="The Roughly.otf";
            break;
            

}

$background->setImageFormat("jpg");


        // عرض و ارتفاع تصویر پس‌زمینه
        $width = $background->getImageWidth();
        $height = $background->getImageHeight();

       
// مثال استفاده



$fontSize = 120; // اندازه فونت

$textColor = 'white'; // رنگ متن اصلی

$padding = 40; // فاصله داخلی اطراف متن
$outputWidth = 500; // عرض تصویر خروجی
$outputPath1 = __DIR__ . '/output1.png'; // مسیر ذخیره تصویر
$border=false;
if($shape=="border"){
    
    
    $border=true;
}

$borderop=false;
try {
    
    generateCombinedNeonText($text, $outputPath1, $fontPath, $fontSize, $shadowColors, $textColor, $padding, $outputWidth , $border , $singleline, $backgroundcolor );
    
    echo "تصویر با موفقیت ذخیره شد: $outputPath1";
} catch (Exception $e) {
    echo "خطا: " . $e->getMessage();
}


        // رسم شکل پشت متن بر اساس پارامتر ورودی
        $shapeSize = 320;
        $drawShape = new ImagickDraw();
        $drawShape->setFillColor($backgroundcolor);

        switch ($shape) {
            case 'diamond':
                
                
                $diamondWidth = $shapeSize ;
                
                
                
                $drawShape->polygon([
                    ['x' => $width / 2, 'y' => $height / 2 - $diamondWidth],
                    ['x' => $width / 2 + $diamondWidth, 'y' => $height / 2],
                    ['x' => $width / 2, 'y' => $height / 2 + $diamondWidth],
                    ['x' => $width / 2 - $diamondWidth, 'y' => $height / 2]
                ]);
                break;
            case 'square':
                
                $drawShape->rectangle(
                    $width / 2 - $shapeSize ,
                    $height / 2 - $shapeSize ,
                    $width / 2 + $shapeSize ,
                    $height / 2 + $shapeSize 
                );
                break;
            case 'circle':
                $shapeSize = 250;
                $circleDiameter = $shapeSize ;
                $drawShape->circle($width / 2, $height / 2, $width / 2 + $circleDiameter, $height / 2);
                break;
            case 'rectangle':
                $shapeSize = 300;
                $drawShape->rectangle(
                    $width / 2 - $shapeSize ,
                    $height / 2 - $shapeSize/2 ,
                    $width / 2 + $shapeSize ,
                    $height / 2 + $shapeSize/2 
                );
                break;
                 case 'border':
                     
                     
                     
                     $drawText = new ImagickDraw();
        
        
        
                $drawShape->rectangle(
                  0,0,0,0
                );
                break;
            default:
                throw new Exception('Invalid shape type provided.');
        }
        
        
                $background->drawImage($drawShape);
$textpng = new Imagick($outputPath1);

 $widthtextpng = $textpng->getImageWidth();
        $heighttextpng = $textpng->getImageHeight();

        $textpng->setImageFormat("png");
        
       $background->compositeImage($textpng,Imagick::COMPOSITE_OVER,$width/2-$widthtextpng/2,$height/2-$heighttextpng/2); // تغییر COMPOSITE_DST_IN به COMPOSITE_DSTIN
    

        // ذخیره‌ی تصویر به صورت فایل JPG با پس‌زمینه اصلی
        $background->writeImage($outputPath);

        // پاک کردن منابع برای آزاد کردن حافظه
        $background->destroy();

      
        $textpng->destroy();
        $drawShape->destroy();

        echo "تصویر با موفقیت ایجاد شد و به عنوان '{$outputPath}' ذخیره گردید.";

    } catch (Exception $e) {
        // نمایش پیام خطا در صورت بروز مشکل
        echo 'خطا: ' . $e->getMessage();
    }
}

$update = json_decode(file_get_contents('php://input'), true);


print_r($update);

if (isset($update['parameters'])) {
    $parameters = $update['parameters'];

    // Extract parameters from the input
    $text = $parameters['text'] ;
    $fontchoice = $parameters['font'] ;
    $shadowColors = $parameters['shadowColors'] ;
    $outputPath = $parameters['outputPath'] ;
    $shape = $parameters['shape'] ;
    $singleline = $parameters['single_line'] ;
    $backgroundcolor = $parameters['background_color'] ;
    
    // Call the function with the extracted parameters
    createNeonTextImage($text, $fontchoice, $shadowColors, $outputPath, $shape, $singleline, $backgroundcolor );
}
?>
