<?php

error_reporting(E_ALL);
ini_set('display_errors', 1);
// مسیر عکس ورودی و خروجی
$inputPath = "photo_2024-12-03_16-21-14.jpg";
$outputPath = "1.jpg";

// بررسی وجود فایل
if (!file_exists($inputPath)) {
    die("فایل ورودی پیدا نشد.");
}
date_default_timezone_set('Asia/Tehran');








$servername = "localhost";
$username = "worpress_ioio";
$password = "qk]mJO5P-+@(";
$dbname = "worpress_tala";

// اتصال به پایگاه داده
$conn = new mysqli($servername, $username, $password, $dbname);

// بررسی اتصال
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// اجرای دستور SQL برای دریافت داده‌ها از جدول transactions
$sql = "SELECT * FROM transactions";
$result = $conn->query($sql);
$arraymmd=[];
// بررسی اینکه آیا نتیجه‌ای وجود دارد یا خیر
if ($result->num_rows > 0) {
    // نمایش داده‌ها
    while($row = $result->fetch_assoc()) {
        echo "id: " . $row["id"] . " - amount: " . $row["transaction_type"] . "<br>";
        
        array_push( $arraymmd,$row["transaction_type"]);
        
    }
} else {
    echo "نتیجه‌ای یافت نشد.";
}

print_r($arraymmd);

// بستن اتصال
$conn->close();













function gregorian_to_jalali ($g_y, $g_m, $g_d,$str) 
{ 
    $g_days_in_month = array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31); 
    $j_days_in_month = array(31, 31, 31, 31, 31, 31, 30, 30, 30, 30, 30, 29); 
 
  
   $gy = $g_y-1600; 
   $gm = $g_m-1; 
   $gd = $g_d-1; 
 
   $g_day_no = 365*$gy+div($gy+3,4)-div($gy+99,100)+div($gy+399,400); 
 
   for ($i=0; $i < $gm; ++$i) 
      $g_day_no += $g_days_in_month[$i]; 
   if ($gm>1 && (($gy%4==0 && $gy%100!=0) || ($gy%400==0))) 
      /* leap and after Feb */ 
      $g_day_no++; 
   $g_day_no += $gd; 
 
   $j_day_no = $g_day_no-79; 
 
   $j_np = div($j_day_no, 12053); /* 12053 = 365*33 + 32/4 */ 
   $j_day_no = $j_day_no % 12053; 
 
   $jy = 979+33*$j_np+4*div($j_day_no,1461); /* 1461 = 365*4 + 4/4 */ 
 
   $j_day_no %= 1461; 
 
   if ($j_day_no >= 366) { 
      $jy += div($j_day_no-1, 365); 
      $j_day_no = ($j_day_no-1)%365; 
   } 
 
   for ($i = 0; $i < 11 && $j_day_no >= $j_days_in_month[$i]; ++$i) 
      $j_day_no -= $j_days_in_month[$i]; 
   $jm = $i+1; 
   $jd = $j_day_no+1; 
 if($str) return $jy.'/'.$jm.'/'.$jd ;
   return array($jy, $jm, $jd); 
} 

function div($a,$b) { 
    return (int) ($a / $b); 
} 

// دریافت تاریخ میلادی امروز
$g_y = date('Y'); // سال میلادی
$g_m = date('m'); // ماه میلادی
$g_d = date('d'); // روز میلادی

// تبدیل به تاریخ شمسی
list($j_y, $j_m, $j_d) = gregorian_to_jalali($g_y, $g_m, $g_d,"");

// نمایش تاریخ شمسی
$today_date =   $j_m . "/" . $j_d;


echo "<br>";
echo $today_date;
echo "<br>";

// دریافت زمان جاری در قالب hh:mm
$current_time = date('H:i');
// مقداردهی مقادیر برای نمایش
$textData = [
    
    [
    "x" => 220,
    "y" => 70,
    "text" => $current_time // مقدار زمان تهران
],
  [
    "x" => 415,
    "y" => 70,
    "text" => $today_date // مقدار زمان تهران
],



    ["x" => 235, "y" => 295, "text" => $arraymmd[0]], // دلار
    ["x" => 375, "y" => 295, "text" => $arraymmd[2]], // یورو
    ["x" => 235, "y" => 405, "text" => $arraymmd[3]], // لیر
    ["x" => 375, "y" => 405, "text" => $arraymmd[1]], //درهم
];

// ایجاد یک نمونه Imagick
$image = new Imagick($inputPath);

// تنظیم رنگ و فونت
$draw = new ImagickDraw();
$draw->setFillColor('#f2f0b3');  // رنگ متن
 // فونت (مطمئن شوید در سیستم نصب است)
$draw->setFontSize(33);       // اندازه فونت

// اضافه کردن متن به تصویر
foreach ($textData as $item) {
    $image->annotateImage($draw, $item['x'], $item['y'], 0, $item['text']);
}

// ذخیره تصویر جدید
$image->writeImage($outputPath);

// آزادسازی منابع
$image->clear();
$image->destroy();

echo "تصویر با موفقیت ویرایش و ذخیره شد: " . $outputPath;
?>
